Make your own free website on


Back to the index

All these games(unless noted) Require Megazeux 2.51 or 2.51 S1(if noted).

Get MZX2.51 here.

Get MZX2.51 S1 here (NOTE: MZX S1 needs to be in the normal MZX251 directory to run properly)

Old Speech Engine(FTP)

OSE(see above) readme.

SailoRoo Blue

Crystals of Chaos

This requires OHRRPGCE to run. I forgot where you get that......

NocEdit, for Noctyrn, HTTP

NocEdit, AOL FTP

RolePlay Fader, for AOL 4.0 - By Who griN. Requires VB 4 runtime files.

Anarchist Creations Demo coming soon!